Subject: Re: [PATCH v3 0/2] diff: copies-harder support

From: Sam James <[email-masked]>
Date: Fri, 17 May 2024 04:38:15 +0100

Junio C Hamano <[email-masked]> writes:

> Sam James <[email-masked]> writes:
>
>> ping - let me know if I need to do anything different. Thanks!
>>
>>>>
>>>>
>>>>>  Documentation/config/diff.txt   |  8 +++++---
>>>>>  Documentation/config/status.txt |  4 +++-
>>>>>  diff.c                          | 14 +++++++++++---
>>>>>  diff.h                          |  1 +
>>>>>  diffcore-rename.c               |  6 ++++--
>>>>>  merge-ort.c                     |  2 +-
>>>>>  merge-recursive.c               |  2 +-
>>>>>  7 files changed, 26 insertions(+), 11 deletions(-)
>
> Copies-harder is supported from the command line already.  We do not
> want a configuration variable for it.  diff.renames configuration
> was already a mistake enough.  Let's not pile on a new mistake on an
> old mistake that it is too late for us to take back.

Thanks for the reply. It's a shame that a conceptual NACK wasn't
delivered in v1 [0] though. Also, Elijah said a configuration option made
sense in v1 and you responded to him and didn't disagree, so I took it
as conceptually okay.

I'm aware of the command line option existing. It doesn't work well for
us because it's really only suitable for certain classes of repos where
you essentially *always* want it enabled (any ebuild repository), but
you don't otherwise given its speed and you may not even be
expecting many copies/renames elsewhere.

[0] https://lore.kernel.org/git/[email-masked]/

> Thanks.

thanks,
sam